/*
 * Copyright 2018 Confluent Inc.
 *
 * Licensed under the Confluent Community License (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of the
 * License at
 *
 * http://www.confluent.io/confluent-community-license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 */

package io.confluent.kafkarest.entities;

import com.fasterxml.jackson.annotation.JsonProperty;

import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

public class TopicProduceRequest<RecordT extends TopicProduceRecord> extends SchemaHolder {

  @NotEmpty
  private List<RecordT> records;

  @JsonProperty
  public List<RecordT> getRecords() {
    return records;
  }

  @JsonProperty
  public void setRecords(List<RecordT> records) {
    this.records = records;
  }

  @Override
  public String toString() {
    return "TopicProduceRequest{" + "records=" + records + '}';
  }
}
